*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

/*start the Navbar*/
.nav{
    width: 100%;
    padding: 20px 0;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.cont{
    width: 85%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.links ul{
    list-style: none;
    display: flex;
    align-items: center;
}
.links ul li{
    margin-left: 30px;
}
.links a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    transition: .3s;

}
.links ul li a:hover{
    color: red;
}
.logo h1{
    color: red;
  font-size: 25px;
    font-weight: 600;
}

/*end the Navbar*/
/*start the header*/

.header{
    height: 100vh;
    background: url(../imeg/slider-02.jpg) ;
      background-size: cover;
    background-position: center;
    position: relative;
}
.pp{
    position: absolute;
     inset: 0;
    background: rgba(0,0,0,.8);
    

}
.content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
    color: #fff;
}
.content h1{
    font-size: 70px;
   color: #ff305b;

}
.content h2{
    font-weight: 300;
}
.typing::after{
    content: "Designer";
    animation: typing 3s infinite;
}

.typing::after{
    content: "";
    animation: typing 6s infinite;
}

@keyframes typing{

    0%{
        content: "D";
    }
    5%{
        content: "De";
    }
    10%{
        content: "Des";
    }
    15%{
        content: "Desi";
    }
    20%{
        content: "Desig";
    }
    25%{
        content: "Design";
    }
    30%{
        content: "Designe";
    }
    35%{
        content: "Designer";
    }

    40%{
        content: "Designe";
    }
    45%{
        content: "Design";
    }
    50%{
        content: "Desig";
    }
    55%{
        content: "Des";
    }
    60%{
        content: "";
    }

    65%{
        content: "D";
    }
    70%{
        content: "De";
    }
    75%{
        content: "Dev";
    }
    80%{
        content: "Devel";
    }
    85%{
        content: "Develop";
    }
    90%{
        content: "Develope";
    }
    95%,100%{
        content: "Developer";
    }
}
/*end start the header*/


/*start the about*/



.about{
    padding:100px 0;
}

.about .container{
    width:85%;
    margin:auto;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.about-img{
    width:40%;
}

.frame{
    border:8px solid #555;
    border-radius:5px;
    width:360px;
    height:430px;
}

.image{
    position:relative;
    top:25px;
    left:25px;
    overflow:hidden;
    border-radius:5px;
}

.image img{
    width:100%;
    display:block;
}

.overlay{
    position:absolute;
    left:0;
    bottom:-100%;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.6);

    display:flex;
    justify-content:center;
    align-items:center;
    gap:20px;

    transition:.5s;
}

.overlay a{
    color:#fff;
    font-size:18px;
    text-decoration:none;

    transform:translateY(20px);
    opacity:0;
    transition:.4s;
}

.image:hover .overlay{
    bottom:0;
}

.image:hover .overlay a{
    transform:translateY(0);
    opacity:1;
}

.overlay a:hover{
    color:#ff305b;
}



.about-content{
    width:55%;
}

.about-content h2{
    font-size:34px;
    text-transform:uppercase;
    position:relative;
    padding-left:15px;
    margin-bottom:20px;
}

.about-content h2::before{

    content:"";
    position:absolute;
    left:0;
    top:0;
    width:5px;
    height:100%;
    background:#ff305b;

}

.about-content p{
    color:#555;
    line-height:1.8;
}



.info{

    display:flex;
    justify-content:space-between;
  

}

.info p{

    margin-bottom:20px;

}

.info strong{

    color:#333;

}


.buttons button{
   margin-top:20px;
       
    background:#ff305b;
    color:white;
    padding:14px 28px;
    border-radius:10px;
    margin-right:18px;
    transition:.3s;

}

.buttons button:hover{

    background:#ec2403;

}
/*end the about*/
/*start the Our Services*/

.services{
    background:#f1f1f1;
    padding:100px 0;
}



.title{

    text-align:center;
    margin-bottom:70px;

}

.title h2{

    font-size:35px;
    color:#333;
    margin-bottom:25px;
    font-weight:700;

}

.line{
    width:170px;
    height:12px;
    margin:auto;
    position:relative;

}

.line::before{

    content:"";
    position:absolute;
    width:170px;
    height:1px;
    background:#ff305b;
    left:0;
    top:5px;

}

.line::after{

    content:"";
    position:absolute;
    width:90px;
    height:1px;
    background:#ff305b;
    left:40px;
    top:0;

}

.line span{

    position:absolute;
    width:90px;
    height:1px;
    background:#ff305b;
    left:40px;
    bottom:0;

}

.service-items{

    display:flex;
    justify-content:space-between;
    gap:10px;

}



.item{

    width:50%;
    text-align:center;
    padding:35px 10px;
    transition:.4s;

}

.item:hover{

    background:#fff;
    box-shadow:0 0 20px rgba(0,0,0,.12);
}

.item h3{

    font-size:25px;
    margin-bottom:20px;
    color:#333;
    font-weight:600;

}

.item p{

    color:#666;
    line-height:1.8;
    font-size:17px;

}

.item i{
    font-size: 34px;
    color: #ff305b;
    display: inline-block;
    margin-bottom: 20px;
    transition: transform .3s;
   
}

.item:hover i{
    transform: scale(1.15);
}
/*end the Our Services*/
/*start the Our Portfolio*/

.gallery-section{
    padding: 80px 0;
    background: #fff;
}

.gallery-title h2{
    font-size: 40px;
    font-weight: 700;
    color: #333;
}

.title-shape{
       width:170px;
    height:12px;
    margin:auto;
    position:relative;

}
.title-shape::before{

    content:"";
    position:absolute;
    width:170px;
    height:1px;
    background:#ff305b;
    left:0;
    top:5px;

}
.title-shape::after{

    content:"";
    position:absolute;
    width:90px;
    height:1px;
    background:#ff305b;
    left:40px;
    top:0;

}
.title-shape span{
    

    position:absolute;
    width:90px;
    height:1px;
    background:#ff305b;
    left:40px;
    bottom:0;

}



.gallery-menu{
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 30px;
    margin-top: 35px;
    padding: 0;
}

.gallery-menu li{
  
    font-size: 17px;
    font-weight: 500;
    transition: .3s;
}

.gallery-menu li:hover,
.gallery-menu .active{
    color: #ff305b;
}


.gallery-card{
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.gallery-card img{
    width: 100%;
    display: block;
    transition: .5s;
}



.image-layer{
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.55);
    opacity: 0;
    transition: .5s;
}

.image-layer i{
    position: absolute;
    right: 20px;
    bottom: 20px;
    color: #ff305b;
    font-size: 22px;
    transform: translateY(20px);
    transition: .5s;
}



.gallery-card:hover img{
    transform: scale(1.1);
}

.gallery-card:hover .image-layer{
    opacity: 1;
}

.gallery-card:hover .image-layer i{
    transform: translateY(0);
}

 

.modal-content{
    background: transparent;
    border: none;
    box-shadow: none;
}

.modal img{
    width: 100%;
    border-radius: 10px;
}

.btn-close{
    background-color: #fff;
    opacity: 1;
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 10;
}

.modal-backdrop.show{
    opacity: .8;
}

/*end  the Our Portfolio*/
/*start the counter*/


.uty {
    background-color: #f1f1f1;
    padding: 80px 0;
}

.lmm {
    width: 85%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    flex-wrap: wrap;
}

.box {
    width: 23%;
}

.box i {
    font-size: 35px;
    color: #ff305b;
    margin-bottom: 20px;
}

.box h2 {
    font-size: 35px;
    color: #333;
    margin-bottom: 10px;
    font-weight: 700;
}

.box p {
    font-size: 18px;
    color: #555;
    font-weight: 600;
}





/*end  the counter*/
/*start the Client's Feedback*/



.feedback{
    padding:100px 0;
}

.feedback-card{
    width:70%;
    margin:auto;
    background:#f1f1f1;
    padding:40px;
    border-radius:8px;
    position:relative;
    overflow:hidden;
}

.triangle{
    position:absolute;
    top:0;
    left:0;
    width:0;
    height:0;
    border-top:180px solid #ff305b;
    border-right:180px solid transparent;
}

.person{
    width:120px;
    height:120px;
    object-fit:cover;
    position:relative;
    z-index:2;
}

.feedback-card h3{
    font-size:30px;
    font-weight:bold;
}

.feedback-card h6{
    color:#777;
    margin:10px 0;
}

.feedback-card p{
    color:#666;
    line-height:1.8;
    font-style:italic;
}

.stars{
    color:gold;
    font-size:22px;
}



.carousel-indicators button{
    width: 10px !important;
    height: 8px !important;
    border-radius: 50%;
    background-color: #ff305b !important;
    
}

.carousel-indicators .active{
    width: 16px !important;
    height: 6px !important;
    border-radius: 50px;

}

/*end  the Client's Feedback-*/
/*start the Our Blog-*/

.blog{
    background: #f1f1f1;
    padding: 100px 0;
}

.title{
    text-align: center;
    margin-bottom: 60px;
}

.title h2{
    font-size: 40px;
    color: #333;
    margin-bottom: 15px;
    font-weight: 800;
}


.coll{
    position: relative;
    width: 200px;
    height: 15px;
    margin: auto;
}

.coll::before{
    content: "";
    position: absolute;
    width: 170px;
    height: 1px;
    background: #ff305b;
    left: 50%;
    transform: translateX(-50%);
    top: 7px;
}

.coll span:first-child{
    position: absolute;
    width: 80px;
    height: 1px;
    background: #ff305b;
    left: 50%;
    transform: translateX(-50%);
    top: 2px;
}

.coll span:last-child{
    position: absolute;
    width: 80px;
    height: 1px;
    background: #ff305b;
    left: 50%;
    transform: translateX(-50%);
    bottom: 2px;
}



.blog-container{
    width: 90%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.card{
    width: 33.3%;
    background: #fff;
}

.card img{
    width: 100%;
    height: 220px;
    display: block;
}

.card iframe{
    width: 100%;
    height: 220px;
    border: none;
    display: block;
}

.texxt{
    padding: 25px;
}

.date{
    color: #777;
    font-size: 16px;
    margin-bottom: 15px;
}

.texxt h3{
    font-size: 24px;
    color: #333;
    margin-bottom: 15px;
    cursor: pointer;
    transition: .4s;
    font-weight: 600;
}

.texxt h3:hover{
    color: #ff305b;
}

.text{
    color: #555;
    line-height: 1.8;
    margin-bottom: 20px;
    font-size: 17px;
}

.texxt a{
    text-decoration: none;
    color: #333;
    font-size: 16px;
    font-weight: 500;
   
}
/*end the Our Blog*/
/*start the Contact Us*/



.contact-section{
    background: #fff;
    padding: 100px 0;
}

.contact-heading{
    text-align: center;
    margin-bottom: 60px;
}

.contact-heading h2{
    font-size: 40px;
    color: #333;
    font-weight: 800;
    margin-bottom: 15px;
}



.heading-line{
    position: relative;
    width: 180px;
    height: 15px;
    margin: auto;
}

.heading-line::before{
    content: "";
    position: absolute;
    width: 170px;
    height: 1px;
    background: #ff305b;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.heading-line span:first-child{
    position: absolute;
    width: 80px;
    height: 1px;
    background: #ff305b;
    top: 2px;
    left: 50%;
    transform: translateX(-50%);
}

.heading-line span:last-child{
    position: absolute;
    width: 80px;
    height: 1px;
    background: #ff305b;
    bottom: 2px;
    left: 50%;
    transform: translateX(-50%);
}



.contact-box{
    width: 60%;
    margin: auto;
}

.input-box{
    display: flex;
    justify-content: space-between;
    gap: 25px;
    margin-bottom: 25px;
}

.input-box input{
    width: 50%;
}

.contact-box input,
.contact-box textarea{
    width: 100%;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 15px;
    transition: .3s;
}



.subject-input{
    margin-bottom: 25px;
}

.contact-box textarea{
    height: 100px;
    margin-bottom: 30px;
}

.contact-box button{
    background: #ff305b;
    color: #fff;
    border: none;
    padding: 15px 35px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    transition: .4s;
}

.contact-box button:hover{
    background: #ec2403;
}
/*end the Contact Us*/

.end-footer{
    background-color:#353330;
    text-align:center;
    padding:60px 0;
}



.end-footer p{
    color:white;
    font-size:15px;
    margin-bottom:30px;
}

.social-icons a{
    display:inline-block;
   
    line-height:45px;
  
  
    color:white;
    font-size:20px;
    margin:0 5px;
    transition:.4s;
}

.social-icons a:hover{
    color:red;
}


